package com.yunyan.web;

import com.yunyan.business.service.IFinalDataService;
import com.yunyan.business.service.IFinalDataUpdateDataService;
import com.yunyan.common.core.domain.entity.SysDept;
import com.yunyan.system.service.ISysDeptService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit.jupiter.SpringExtension;

@Slf4j
@ExtendWith(SpringExtension.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
class FinalDataTests {

    @Autowired
    private IFinalDataService finalDataService;

    @Autowired
    private IFinalDataUpdateDataService iFinalDataUpdateDataService;



    @Test
    void importDataUpdate() {
        iFinalDataUpdateDataService.finalDataUpdateData();
    }

    @Test
    void finalDataUpdateDataFromExcelTest() {
        iFinalDataUpdateDataService.finalDataUpdateDataFromExcel();
    }

    @Test
    void finalDataUpdateDataTermTest() {
        iFinalDataUpdateDataService.finalDataUpdateDataTerm();
    }

    @Test
    void finalDataUpdateDataDeptInfo() {
        iFinalDataUpdateDataService.finalDataUpdateDataDeptInfo();
    }

    @Test
    void finalDataUpdateDataDefaultF03() {
        iFinalDataUpdateDataService.finalDataUpdateDataDefaultF03();
    }

    @Test
    void generateAllFileTest() {
        iFinalDataUpdateDataService.generateAllFile();
    }

    @Test
    void finalDataUpdateDataT8() {
        iFinalDataUpdateDataService.finalDataUpdateDataT8();
    }

    @Test
    void finalDataUpdateDataP6FromExcel() {
        iFinalDataUpdateDataService.finalDataUpdateDataP6FromExcel("田东");
    }

    @Test
    void finalDataMoveReportDeptInfo() {
        iFinalDataUpdateDataService.finalDataMoveReportDeptInfo("桂平");
    }

    @Test
    void finalDataGenerate() {
        iFinalDataUpdateDataService.finalDataGenerate("桂平", "", "2024", 2);
    }

    @Test
    void finalDataMoveReportExplain() {
        iFinalDataUpdateDataService.finalDataMoveReportExplain("平果", "2022", 1);
    }

    @Test
    void websiteFillUpdateTest() {
        iFinalDataUpdateDataService.websiteFillUpdate("田东");
    }

}
